*  {
    cursor:url('../images/scope.cur'), auto;
}
body {
    background-image: url('../images/duck.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    
}

@mixin buttonStyle($h, $w, $t, $l) {
    position: absolute;
    top: $t;
    left: $l;
    width: $h;
    height: $w;
    background-color: #93d732;
    border-style: solid;
    border-width: 2px;
    box-shadow: rgba(0, 0, 0, 0.6) 15px 28px 25px -18px;
    color: #41403e;
    display: inline-block;
   
    font-size: 20px;
    padding: 12px;
    border-bottom-left-radius: 15px 255px;
    border-bottom-right-radius: 225px 15px;
    border-top-left-radius: 255px 15px;
    border-top-right-radius: 15px 225px;
}

@mixin dialogS($c) {
    width: 250px;
    height: 250px;
    border-style: none;
    border-radius: 8px;
    padding: 10px;
    background-color: $c;
    &::backdrop {
        background: rgba(0, 0, 0, 0.8);
    }
    p {
        margin: 2px;
    }
}

@mixin textS() {
    position: absolute;
    font-size: 24px;
    background-color: #daecc0;
    padding: 5px 15px;
    border-radius: 2px;
    box-shadow: rgba(44, 187, 99, 0.9) 0 -25px 18px -14px inset,
        rgba(44, 187, 99, 0.25) 0 1px 2px, rgba(44, 187, 99, 0.25) 0 2px 4px,
        rgba(44, 187, 99, 0.25) 0 4px 8px, rgba(44, 187, 99, 0.25) 0 8px 16px,
        rgba(44, 187, 99, 0.25) 0 16px 32px;
}
#play {
    @include buttonStyle(150px, 70px, 50%, 45%);
}

.closeImg {
    width: 20px;
    height: 20px;
    position: absolute;
    right: 10px;
    top: 10px;
}

.dialogImg {
    width: 150px;
    height: 150px;
}
#dialog1 {
    @include dialogS(#6a9cca);
}
#dialog2 {
    @include dialogS(#ffffff);
    border: none;
}

#dialog3 {
    @include dialogS(#ffffff);
}

.dialog1 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    h1 {
        font-weight: bold;
        color: #ffffff;
        text-align: center;
    }

    #name {
        border-style: none;
        outline: none;
        height: 24px;
        border-radius: 2px;
        margin-top: 10px;
        &:focus {
            background-color: #93d732;
        }
    }
    .play {
        @include buttonStyle(80px, 50px, 60%, 35%);
    }
}

.dialog2 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.okay {
    @include buttonStyle(80px, 50px, 77%, 35%);
    background-color: #6a9cca;
}

.score {
    @include textS();
    top: 0;
}
.lives {
    @include textS();
    bottom: 0;
}

.birds {
    width: 100px;
    height: 100px;
    margin: 10px;
    left: -110px;
    position: absolute;
    animation-name: move;
    animation-duration: 8s;
    animation-timing-function: ease-out;
}

@keyframes move {
    0% {
        transform: translateX(-110px);
    }
    100% {
        transform: translateX(1500px);
    }
}

.congrats {
    display: flex;
    justify-content: space-around;
    align-content: center;

    button {
        @include buttonStyle(150px, 50px, 60%, 25%);
    }
}
.dialog3 {
    display: flex;
    justify-content: space-around;
    align-content: center;
    flex-direction: column;
    text-align: center;
}



